Package be.ehealth.businessconnector.mycarenet.attestv3.builders

# Interface ResponseObjectBuilder

All Known Implementing Classes:
  `ResponseObjectBuilderImpl`

public interface ResponseObjectBuilder
Provides method(s) to build a business response from WS response. Default impl : `ResponseObjectBuilderImpl` Factory : `ResponseObjectBuilderFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SignedResponseHolder`
  `handleCancelAttestationResponse(SendResponseType sendResponse, SendRequestType builderRequest)`
  Handles the response of the WS, checks the Xades and decode the content to create a `SignedResponseHolder` object.
  `SignedEncryptedResponseHolder`
  `handleSendAttestionResponse(SendResponseType sendResponse, EncryptedRequestHolder builderRequest)`
  Handles the response of the WS, checks the Xades and decode the content to create a `SignedEncryptedResponseHolder` object.

- ## Method Details

  - ### handleSendAttestionResponse

    SignedEncryptedResponseHolder handleSendAttestionResponse(SendResponseType sendResponse, EncryptedRequestHolder builderRequest) throws TechnicalConnectorException
    Handles the response of the WS, checks the Xades and decode the content to create a `SignedEncryptedResponseHolder` object.
    Parameters:
      `sendResponse` - the response sent by the WS
      `builderRequest` - the wrapper containing all the necessary request data
    Returns:
      the response object built from the response of the WS, with a valid Xades and a decoded content
    Throws:
      `TechnicalConnectorException`

  - ### handleCancelAttestationResponse

    SignedResponseHolder handleCancelAttestationResponse(SendResponseType sendResponse, SendRequestType builderRequest) throws TechnicalConnectorException
    Handles the response of the WS, checks the Xades and decode the content to create a `SignedResponseHolder` object.
    Parameters:
      `sendResponse` -
      `builderRequest` - the request sent to the WS
    Returns:
    Throws:
      `TechnicalConnectorException`